# Uses of Interface
ch.qos.logback.core.encoder.Encoder

Packages that use Encoder
Package
Description
ch.qos.logback.access
This is logback access' main package.
ch.qos.logback.classic.encoder
ch.qos.logback.core
Contains the main classes of logback core.
ch.qos.logback.core.encoder
ch.qos.logback.core.pattern
Contains the base classes used by PatternLayout.

## Uses of Encoder in ch.qos.logback.access

Classes in ch.qos.logback.access that implement Encoder
Modifier and Type
Class
Description
`class`
`PatternLayoutEncoder`

## Uses of Encoder in ch.qos.logback.classic.encoder

Classes in ch.qos.logback.classic.encoder that implement Encoder
Modifier and Type
Class
Description
`class`
`PatternLayoutEncoder`

## Uses of Encoder in ch.qos.logback.core

Fields in ch.qos.logback.core declared as Encoder
Modifier and Type
Field
Description
`protected Encoder<E>`
OutputStreamAppender.`encoder`
It is the encoder which is ultimately responsible for writing the event to an `OutputStream`.
Methods in ch.qos.logback.core that return Encoder
Modifier and Type
Method
Description
`Encoder<E>`
OutputStreamAppender.`getEncoder()`
Methods in ch.qos.logback.core with parameters of type Encoder
Modifier and Type
Method
Description
`void`
OutputStreamAppender.`setEncoder(Encoder<E> encoder)`

## Uses of Encoder in ch.qos.logback.core.encoder

Classes in ch.qos.logback.core.encoder that implement Encoder
Modifier and Type
Class
Description
`class`
`EchoEncoder<E>`
`class`
`EncoderBase<E>`
`class`
`LayoutWrappingEncoder<E>`

## Uses of Encoder in ch.qos.logback.core.pattern

Classes in ch.qos.logback.core.pattern that implement Encoder
Modifier and Type
Class
Description
`class`
`PatternLayoutEncoderBase<E>`